Last modified: 2012-07-03 15:09:52 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 34151 - Turn wfHttpError() into a wrapper for HttpError exception
Turn wfHttpError() into a wrapper for HttpError exception
Status: REOPENED
Product: MediaWiki
Classification: Unclassified
General/Unknown (Other open bugs)
1.20.x
All All
: Low enhancement (vote)
: Future release
Assigned To: Nobody - You can work on this!
: platformeng
Depends on:
Blocks: global-vars
  Show dependency treegraph
 
Reported: 2012-02-02 09:01 UTC by Antoine "hashar" Musso (WMF)
Modified: 2012-07-03 15:09 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Antoine "hashar" Musso (WMF) 2012-02-02 09:01:32 UTC
Global function wfHttpError() is only used in core by AjaxDispatcher. It should be deprecated and callers should use the HttpError exception instead.
Comment 1 Antoine "hashar" Musso (WMF) 2012-02-02 09:03:21 UTC
Additionally, we want to avoid loosing time on old stuff (example: r110486  )
Comment 2 Chad H. 2012-02-03 04:55:50 UTC
(In reply to comment #1)
> Additionally, we want to avoid loosing time on old stuff (example: r110486  )

Still would've lost time, since the exception still mentions HTML2 as well ;-)
Comment 3 Rob Lanphier 2012-02-09 01:41:22 UTC
I like Chad's suggestion in r110486 better.  We shouldn't deprecate things that are easy enough to support with a wrapper.
Comment 4 Antoine "hashar" Musso (WMF) 2012-04-20 13:01:26 UTC
(In reply to comment #2)
> Still would've lost time, since the exception still mentions HTML2 as well ;-)

Exception DOCTYPE fixed with  https://gerrit.wikimedia.org/r/5423
Comment 5 Antoine "hashar" Musso (WMF) 2012-04-20 13:01:46 UTC
Made wfHttpError() thrown an HttpError exception with https://gerrit.wikimedia.org/r/5424
Comment 6 Chad H. 2012-07-03 15:09:52 UTC
This was never merged -- needs a lot of cleanup before we do. REOPENING.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links